%define major   0
%define libname %mklibname econf %{major}
%define devname %mklibname econf -d

Name:           libeconf
Version:        0.7.5
Release:        %mkrel 1
Summary:        Enhanced config file parser library
Group:          System/Libraries
License:        MIT
URL:            https://github.com/openSUSE/libeconf
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

### Patches ###
# This should be a temporary workaround. I don't have enough time to check what's happening, but since we aren't shipping the html documentation it's fine to stop installing it
Patch0101:      0001-cmake-no-install-html.patch

BuildRequires:  cmake

%description
libeconf is a highly flexible and configurable library to parse and manage
key=value configuration files. It reads configuration file snippets from
different directories and builds the final configuration file from it.


%package -n %{libname}
Summary:        Enhanced config file parser library
Group:          System/Libraries

%description -n %{libname}
libeconf is a highly flexible and configurable library to parse and manage
key=value configuration files. It reads configuration file snippets from
different directories and builds the final configuration file from it.


%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       econf-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        utils
Summary:        Utilities for manipulating config files
Group:          System/Libraries

%description    utils
The %{name}-utils package contains utilities for manipulating
configuration files from applications that use %{name}.


%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%cmake_build --target check

%files -n %{libname}
%license LICENSE
%doc NEWS README.md TODO.md
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc example/
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}.3*
%{_mandir}/man3/econf_*.3*

%files utils
%{_bindir}/econftool
%{_mandir}/man8/econftool.8*


%changelog
* Mon Dec 30 2024 daviddavid <daviddavid> 0.7.5-1.mga10
+ Revision: 2131721
- new version: 0.7.5

* Sun Oct 27 2024 wally <wally> 0.7.4-1.mga10
+ Revision: 2111530
- new version 0.7.4

* Sun Jun 16 2024 wally <wally> 0.7.2-1.mga10
+ Revision: 2074457
- new version 0.7.2

* Wed Jun 12 2024 wally <wally> 0.6.3-2.mga10
+ Revision: 2072909
- revert to 0.6.3

* Wed Jun 12 2024 daviddavid <daviddavid> 0.7.0-1.mga10
+ Revision: 2072833
- new version: 0.7.0

* Sun Apr 21 2024 daviddavid <daviddavid> 0.6.3-1.mga10
+ Revision: 2060230
- new version: 0.6.3

* Fri Apr 05 2024 wally <wally> 0.6.2-2.mga10
+ Revision: 2054638
- basesystem rebuild for i686

* Sat Mar 30 2024 daviddavid <daviddavid> 0.6.2-1.mga10
+ Revision: 2053231
- initial package libeconf

